stages:
  - test
  - deploy

Validate:
  image: node:latest
  stage: test
  coverage: /All files[^|]*\|[^|]*\s+([\d\.]+)/
  only:
    - main
  script:
    - npm install  
    - npm run db:reconstruct 
    - npm run test

Deploy to Heroku:
  stage: deploy
  only:
    - main

  script:
    - git remote add heroku https://heroku:$HEROKU_API_KEY@git.heroku.com/challange-8-binar-ac.git
    - git push -f heroku main
